#
# spec file for package yast2-xml
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-xml
Version:        5.0.0
Release:        1.4

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  yast2-core-devel
BuildRequires:  yast2-devtools >= 3.1.10
Summary:        YaST2 - XML Agent
License:        GPL-2.0-or-later
Group:          System/YaST
Requires:       yast2-core
Provides:       yast2-agent-xml
Provides:       yast2-agent-xml-devel
Provides:       yast2-lib-xml
Obsoletes:      yast2-agent-xml
Obsoletes:      yast2-agent-xml-devel
Obsoletes:      yast2-lib-xml

%description
The YaST2 XML agent

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

rm -f $RPM_BUILD_ROOT/%{yast_plugindir}/libpy2ag_xml.la

%files
%defattr(-,root,root)
%{yast_plugindir}/libpy2ag_xml.so.*
%{yast_plugindir}/libpy2ag_xml.so
%{yast_scrconfdir}/xml.scr
%doc %{yast_docdir}
%license COPYING

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0 (bsc#1185510)
* Wed Oct 16 2019 Knut Anderssen <kanderssen@suse.com>
- Return string instead of Boolean when calling Execute with
  .xml.string (bsc#1153539)
- 4.1.1
* Tue Feb 26 2019 José Iván López González <jlopez@suse.com>
- Version bump (bsc#1124009)
- 4.1.0
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Wed Aug 22 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Wed Jul 19 2017 mvidner@suse.com
- Omit libxml2 memory cleanup to prevent a crash (bsc#1047449).
- 3.3.0
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Tue Jul 30 2013 yast-devel@opensuse.org
- version 3.0.0
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Apr 23 2008 mvidner@suse.cz
- Removed superfluous .la file (bnc#223714).
- Disabled autodocs as this is a leaf package C++wise.
- 2.16.1
* Wed Nov 21 2007 mvidner@suse.cz
- BuildRequirement of libxml2-devel made explicit.
- Fixed a format string warning.
- 2.16.0
* Mon Mar 19 2007 ug@suse.de
- an empty systemID string removes the DTD declaration from the
  generated XML file (#254836)
- 2.15.0
* Fri Oct 27 2006 mvidner@suse.cz
- Removed dependencies that were present only because of YCP code
  (that had been moved to yast2.rpm long ago).
- Removed an explicit dependency on libxcrypt-devel, only
  yast2-core-devel needs it.
- 2.14.0
* Thu Jun  1 2006 visnov@suse.cz
- De-register error handler when not parsing anymore (#175197)
- 2.13.2
* Mon Feb  6 2006 jsuchome@suse.cz
- reduced BuildRequires
- 2.13.1
* Wed Jan 11 2006 mvidner@suse.cz
- Added Read (.xml.error_message) (ug).
- 2.13.0
* Tue Aug 16 2005 ug@suse.de
- reset previous error state
- 2.12.0
* Wed Feb  9 2005 nashif@suse.de
- Moved YCP module to yast2 package
* Wed Jul 28 2004 nashif@suse.de
- Fixed libxml2 flags
* Fri Apr  2 2004 nashif@suse.de
- License changed to GPL
* Fri Mar 19 2004 mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Tue Mar  9 2004 nashif@suse.de
- Dont break after find non cdata string (#35166)
- 2.9.5
* Thu Mar  4 2004 nashif@suse.de
- dont try to evaluate unknown data types (#35166)
- 2.9.4
* Tue Mar  2 2004 nashif@suse.de
- Added type info
- 2.9.3
* Sat Jan 24 2004 nashif@suse.de
- Updates for new interpreter
- removed obsoleted perl agents and relevant ycp files
- 2.9.2
* Tue Nov 11 2003 nashif@suse.de
- Use doxygen
- 2.9.1
* Tue Nov 11 2003 nashif@suse.de
- changed xmlError function name to avoid collision
- 2.9.0
* Tue Aug 19 2003 nashif@suse.de
- use String::CutBlanks
- 2.8.2
* Wed Aug  6 2003 nashif@suse.de
- #28439: Dont parse empty xml elements defined as list into empty strings..
- 2.8.1
* Fri May 16 2003 nashif@suse.de
- Added missing files to files list
- 2.8.0
* Thu Jan 23 2003 nashif@suse.de
- Fixed XML-RPC handling
- 2.7.0
* Sat Sep  7 2002 mvidner@suse.cz
- Fixed a segfault when writing a class file (#18865).
- Return an error if saving fails.
- 2.6.8
* Wed Aug 14 2002 nashif@suse.de
- added xmlrpc to filelist
- perl agent for reading XML trees
- removed debugging messages
- 2.6.7
* Mon Jul 29 2002 nashif@suse.de
- return error if parsing fails
- 2.6.6
* Sat Jul 20 2002 nashif@suse.de
- use yast2-devel-packages
- 2.6.5
* Tue Jul 16 2002 nashif@suse.de
- Dont set empty namespaces
- 2.6.4
* Tue Jul  9 2002 mvidner@suse.cz
- Provide/Obsolete also yast2-agent-xml-devel
* Thu Jul  4 2002 nashif@suse.de
- Dont require yast2-curl
- xmlrpc feature currently not used
* Mon Jun 24 2002 arvin@suse.de
- renamed to from yast2-agent-xml to yast2-xml and
  merged with yast2-lib-xml
* Sat May 18 2002 nashif@suse.de
- handle error message correctly
- implemented XInclude for inclusion of external/remote entities
- 2.6.2
* Tue May  7 2002 nashif@suse.de
- Use libxml2 instead of qt XML exensions
- Parse basic XML-RPC Requests
- Return XML string instead of writing files only
* Mon Apr  8 2002 nashif@suse.de
- Fixed to compile with gcc3.1
- 2.6.0
* Sun Jan 20 2002 nashif@suse.de
- 2.5.6
- Handle empty lists
* Mon Jan 14 2002 nashif@suse.de
- Version 2.5.5
- Save YCP Symbol correctly
* Tue Jan  8 2002 nashif@suse.de
- added qt3-non-mt to neededforbuild
* Fri Jan  4 2002 nashif@suse.de
- Version 2.5.3
- Changed neededforbuild to use qt3
* Fri Dec 14 2001 nashif@suse.de
- Version 2.5.2
- Use qt3 if avialble
- Removed unneeded warning messages
* Tue Oct 30 2001 nashif@suse.de
- Initial version
